Bug#917700: dimbl: FTBFS: build-dependency not installable: libtimbl4-dev

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#917700: dimbl: FTBFS: build-dependency not installable: libtimbl4-dev

Lucas Nussbaum-4
Source: dimbl
Version: 0.15-2
Severity: serious
Justification: FTBFS on amd64
Tags: buster sid
Usertags: ftbfs-20181229 ftbfs-buster

Hi,

During a rebuild of all packages in sid, your package failed to build
on amd64.

Relevant part (hopefully):

> +------------------------------------------------------------------------------+
> | Install package build dependencies                                           |
> +------------------------------------------------------------------------------+
>
>
> Setup apt archive
> -----------------
>
> Merged Build-Depends: debhelper (>= 11~), pkg-config, libxml2-dev, libticcutils2-dev | libticcutils-dev, libtimbl4-dev | libtimbl-dev
> Filtered Build-Depends: debhelper (>= 11~), pkg-config, libxml2-dev, libticcutils2-dev, libtimbl4-dev
> dpkg-deb: building package 'sbuild-build-depends-dimbl-dummy' in '/<<BUILDDIR>>/resolver-2TunP4/apt_archive/sbuild-build-depends-dimbl-dummy.deb'.
> dpkg-scanpackages: warning: Packages in archive but missing from override file:
> dpkg-scanpackages: warning:   sbuild-build-depends-core-dummy sbuild-build-depends-dimbl-dummy
> dpkg-scanpackages: info: Wrote 2 entries to output Packages file.
> Ign:1 copy:/<<BUILDDIR>>/resolver-2TunP4/apt_archive ./ InRelease
> Get:2 copy:/<<BUILDDIR>>/resolver-2TunP4/apt_archive ./ Release [963 B]
> Ign:3 copy:/<<BUILDDIR>>/resolver-2TunP4/apt_archive ./ Release.gpg
> Get:4 copy:/<<BUILDDIR>>/resolver-2TunP4/apt_archive ./ Sources [529 B]
> Get:5 copy:/<<BUILDDIR>>/resolver-2TunP4/apt_archive ./ Packages [602 B]
> Fetched 2094 B in 0s (0 B/s)
> Reading package lists...
> Reading package lists...
>
> Install dimbl build dependencies (apt-based resolver)
> -----------------------------------------------------
>
> Installing build dependencies
> Reading package lists...
> Building dependency tree...
> Reading state information...
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the unstable
> distribution that some required packages have not yet been created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
>
> The following packages have unmet dependencies:
>  sbuild-build-depends-dimbl-dummy : Depends: libtimbl4-dev but it is not going to be installed
> E: Unable to correct problems, you have held broken packages.
> apt-get failed.

The full build log is available from:
   http://aws-logs.debian.net/2018/12/29/dimbl_0.15-2_unstable.log

A list of current common problems and possible solutions is available at
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.

Reply | Threaded
Open this post in threaded view
|

Bug#917700: dimbl: FTBFS: build-dependency not installable: libtimbl4-dev

Maarten van Gompel
Hi Lucas,

We're going to let this package get autoremoved, it's hardly used anyway
and not worth the effort to maintain.

Regards,

--

Maarten van Gompel
    Language Machines research group
    Centre for Language and Speech Technology
    Radboud Universiteit Nijmegen

[hidden email]
https://proycon.anaproy.nl
https://github.com/proycon

GnuPG key:  0x39FE11201A31555C
XMPP:       [hidden email]       Matrix: @proycon:matrix.org
Telegram:   proycon                  IRC: proycon (freenode)
Discord:    proycon#8272
Mastodon:   https://mastodon.social/@proycon   (@[hidden email])
Twitter:    https://twitter.com/proycon
ORCID:      https://orcid.org/0000-0002-1046-0006
Keybase:    https://keybase.io/proycon
Bitcoin:    1BRptZsKQtqRGSZ5qKbX2azbfiygHxJPsd

signature.asc (484 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#917700: dimbl: FTBFS: build-dependency not installable: libtimbl4-dev

Joost van Baal-Ilić-77
Hi Maarten (upstream),

Is there no new upstream release expected?  If so, I guess indeed it would be
best to drop it from Debian.

Thanks, Bye,

Joost


On Thu, Jan 10, 2019 at 08:35:15PM +0100, Maarten van Gompel wrote:

> Hi Lucas,
>
> We're going to let this package get autoremoved, it's hardly used anyway
> and not worth the effort to maintain.
>
> Regards,
>
> --
>
> Maarten van Gompel
>     Language Machines research group
>     Centre for Language and Speech Technology
>     Radboud Universiteit Nijmegen
>
> [hidden email]
> https://proycon.anaproy.nl
> https://github.com/proycon
>
> GnuPG key:  0x39FE11201A31555C
> XMPP:       [hidden email]       Matrix: @proycon:matrix.org
> Telegram:   proycon                  IRC: proycon (freenode)
> Discord:    proycon#8272
> Mastodon:   https://mastodon.social/@proycon   (@[hidden email])
> Twitter:    https://twitter.com/proycon
> ORCID:      https://orcid.org/0000-0002-1046-0006
> Keybase:    https://keybase.io/proycon
> Bitcoin:    1BRptZsKQtqRGSZ5qKbX2azbfiygHxJPsd

Reply | Threaded
Open this post in threaded view
|

Bug#917700: dimbl: FTBFS: build-dependency not installable: libtimbl4-dev

Steve Langasek-5
In reply to this post by Lucas Nussbaum-4
Package: dimbl
Followup-For: Bug #917700
User: [hidden email]
Usertags: origin-ubuntu disco ubuntu-patch

Hello,

FWIW, no new upstream version is required in order to fix this build
failure, it's a trivial change to debian/control to drop the versioned -dev
package names leaving only the unversioned ones.

I've uploaded the attached patch to Ubuntu to fix the bug there.  But since
there is a comment suggesting that this may not be worth maintaining in
Debian and should be removed, I have not uploaded an NMU.

--
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                   https://www.debian.org/
[hidden email]                                     [hidden email]

dimbl_0.15-2ubuntu1.debdiff (625 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#917700: RM: dimbl -- ROM; ROM, abandoned upstream (was: Re: Bug#917700: dimbl: FTBFS: build-dependency not installable: libtimbl4-dev)

Joost van Baal-Ilić-77
In reply to this post by Joost van Baal-Ilić-77
user [hidden email]
usertag 917700 + bsp-2019-01-nl-venlo
thanks

Hi Balint,

Since Maarten "proycon" van Gompel--a collegue of your dimbl comaintainer Ko
van der Sloot--told me he expects no new upstream release of dimbl, I feel it's
best to ask for dimbl's removal from testing and unstable.  Is that OK with
you?

Thanks, Bye,

Joost



Subject: RM: dimbl -- ROM; ROM, abandoned upstream
Package: ftp.debian.org
Severity: normal

Hi,

Please remove dimbl from both testing and unstable: no new upstream release
is expected.  Debian's users are better served without dimbl in the upcoming
stable release.  See also https://bugs.debian.org/917700 "FTBFS:
build-dependency not installable: libtimbl4-dev" for some discussion.

Bye,

Joost

PS:
[11:31] [joostvb(+i)] [5:uvt/#lst(+nt)] [Act: 17,21,25], jan 2019:
> нед 13 11:27 < joostvb> proycon: uit debian verwijderen bedoel je?
> нед 13 11:30 < proycon> ja
> нед 13 11:37 < joostvb> proycon: o, en uh: je verwacht geen nieuwe
>   upstream release?
> нед 13 11:46 < proycon> nope
> нед 13 11:46 < proycon> geen releases, geen gebruikers




On Fri, Jan 11, 2019 at 05:32:11AM +0100, Joost van Baal-Ilić wrote:

> Hi Maarten (upstream),
>
> Is there no new upstream release expected?  If so, I guess indeed it would be
> best to drop it from Debian.
>
> Thanks, Bye,
>
> Joost
>
>
> On Thu, Jan 10, 2019 at 08:35:15PM +0100, Maarten van Gompel wrote:
> > Hi Lucas,
> >
> > We're going to let this package get autoremoved, it's hardly used anyway
> > and not worth the effort to maintain.
> >
> > Regards,
> >
> > --
> >
> > Maarten van Gompel
> >     Language Machines research group
> >     Centre for Language and Speech Technology
> >     Radboud Universiteit Nijmegen
> >
> > [hidden email]
> > https://proycon.anaproy.nl
> > https://github.com/proycon
> >
> > GnuPG key:  0x39FE11201A31555C
> > XMPP:       [hidden email]       Matrix: @proycon:matrix.org
> > Telegram:   proycon                  IRC: proycon (freenode)
> > Discord:    proycon#8272
> > Mastodon:   https://mastodon.social/@proycon   (@[hidden email])
> > Twitter:    https://twitter.com/proycon
> > ORCID:      https://orcid.org/0000-0002-1046-0006
> > Keybase:    https://keybase.io/proycon
> > Bitcoin:    1BRptZsKQtqRGSZ5qKbX2azbfiygHxJPsd
>

signature.asc (836 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Bug#917700: dimbl: diff for NMU version 0.15-2.1

Adrian Bunk-3
In reply to this post by Lucas Nussbaum-4
Control: tags 917700 + patch
Control: tags 917700 + pending

Dear maintainer,

I've prepared an NMU for dimbl (versioned as 0.15-2.1) and
uploaded it to DELAYED/14. Please feel free to tell me if I
should cancel it.

cu
Adrian

--

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed


dimbl-0.15-2.1-nmu.diff (1K) Download Attachment